curl -X GET "https://api.rxradar.xyz/v1/snapshots?gtin=3401351277399&days=30" \
-H "Authorization: Bearer rx_YOUR_API_KEY"
{
"product_id": null,
"gtin": "3401351277399",
"network": null,
"days": 7,
"data": [
{
"id": 5638,
"product_id": 29,
"gtin": "3401351277399",
"collected_at": "2026-04-29T17:34:54",
"price": {
"current": 12.95,
"original": 14.50,
"valid_until": "2026-05-15",
"range": null,
"has_promo": true,
"currency": "USD"
},
"per_unit": {
"price": 10.36,
"unit": "100 ml"
},
"stock": {
"available": true,
"label": "In stock"
},
"rating": {
"value": 4.6,
"count": 28
},
"positions": [
{ "category": "Facial Cleansers", "rank": 12, "page": 1, "page_size": 30 },
{ "category": "Skincare", "rank": 40, "page": 2, "page_size": 30 }
],
"promotions": [
{
"type": "bogo",
"source_type": "BuyOneGetOne50",
"title": "Spring Sale",
"text": "Buy 1, Get 1 50% off",
"terms": "Add two items to cart. While supplies last.",
"code": null,
"external_id": "promo-4827",
"url": "https://store-a.com/promo/4827",
"value": 50,
"value_type": "percent",
"min_quantity": 2,
"min_amount": null,
"scope": "online_only",
"valid_from": "2026-04-25",
"valid_until": "2026-05-15",
"requires_loyalty": false
},
{
"type": "coupon",
"source_type": "OrderThresholdCoupon",
"title": null,
"text": "Extra 15% off $35+ with code SPRING15",
"terms": "One use per customer.",
"code": "SPRING15",
"external_id": "coupon-spring15",
"url": null,
"value": 15,
"value_type": "percent",
"min_quantity": null,
"min_amount": 35,
"scope": "all",
"valid_from": null,
"valid_until": "2026-06-30",
"requires_loyalty": false
}
],
"badges": ["new", "vegan"],
"favorites_count": 342,
"network": "network-a",
"store": "store-a.com"
}
],
"total": 4,
"page": 1,
"per_page": 50,
"pages": 1
}
Snapshots
List Snapshots
List product snapshots with filters
GET
/
v1
/
snapshots
curl -X GET "https://api.rxradar.xyz/v1/snapshots?gtin=3401351277399&days=30" \
-H "Authorization: Bearer rx_YOUR_API_KEY"
{
"product_id": null,
"gtin": "3401351277399",
"network": null,
"days": 7,
"data": [
{
"id": 5638,
"product_id": 29,
"gtin": "3401351277399",
"collected_at": "2026-04-29T17:34:54",
"price": {
"current": 12.95,
"original": 14.50,
"valid_until": "2026-05-15",
"range": null,
"has_promo": true,
"currency": "USD"
},
"per_unit": {
"price": 10.36,
"unit": "100 ml"
},
"stock": {
"available": true,
"label": "In stock"
},
"rating": {
"value": 4.6,
"count": 28
},
"positions": [
{ "category": "Facial Cleansers", "rank": 12, "page": 1, "page_size": 30 },
{ "category": "Skincare", "rank": 40, "page": 2, "page_size": 30 }
],
"promotions": [
{
"type": "bogo",
"source_type": "BuyOneGetOne50",
"title": "Spring Sale",
"text": "Buy 1, Get 1 50% off",
"terms": "Add two items to cart. While supplies last.",
"code": null,
"external_id": "promo-4827",
"url": "https://store-a.com/promo/4827",
"value": 50,
"value_type": "percent",
"min_quantity": 2,
"min_amount": null,
"scope": "online_only",
"valid_from": "2026-04-25",
"valid_until": "2026-05-15",
"requires_loyalty": false
},
{
"type": "coupon",
"source_type": "OrderThresholdCoupon",
"title": null,
"text": "Extra 15% off $35+ with code SPRING15",
"terms": "One use per customer.",
"code": "SPRING15",
"external_id": "coupon-spring15",
"url": null,
"value": 15,
"value_type": "percent",
"min_quantity": null,
"min_amount": 35,
"scope": "all",
"valid_from": null,
"valid_until": "2026-06-30",
"requires_loyalty": false
}
],
"badges": ["new", "vegan"],
"favorites_count": 342,
"network": "network-a",
"store": "store-a.com"
}
],
"total": 4,
"page": 1,
"per_page": 50,
"pages": 1
}
A snapshot is a complete capture of a product’s state at a point in time: price, availability, ranking, promotions, etc.
integer
default:"1"
Page number
integer
default:"50"
Results per page (max: 100)
integer
Filter by product ID
string
Filter by EAN code
string
Filter by network
integer
default:"7"
Snapshots from the last N days (max: 90)
curl -X GET "https://api.rxradar.xyz/v1/snapshots?gtin=3401351277399&days=30" \
-H "Authorization: Bearer rx_YOUR_API_KEY"
{
"product_id": null,
"gtin": "3401351277399",
"network": null,
"days": 7,
"data": [
{
"id": 5638,
"product_id": 29,
"gtin": "3401351277399",
"collected_at": "2026-04-29T17:34:54",
"price": {
"current": 12.95,
"original": 14.50,
"valid_until": "2026-05-15",
"range": null,
"has_promo": true,
"currency": "USD"
},
"per_unit": {
"price": 10.36,
"unit": "100 ml"
},
"stock": {
"available": true,
"label": "In stock"
},
"rating": {
"value": 4.6,
"count": 28
},
"positions": [
{ "category": "Facial Cleansers", "rank": 12, "page": 1, "page_size": 30 },
{ "category": "Skincare", "rank": 40, "page": 2, "page_size": 30 }
],
"promotions": [
{
"type": "bogo",
"source_type": "BuyOneGetOne50",
"title": "Spring Sale",
"text": "Buy 1, Get 1 50% off",
"terms": "Add two items to cart. While supplies last.",
"code": null,
"external_id": "promo-4827",
"url": "https://store-a.com/promo/4827",
"value": 50,
"value_type": "percent",
"min_quantity": 2,
"min_amount": null,
"scope": "online_only",
"valid_from": "2026-04-25",
"valid_until": "2026-05-15",
"requires_loyalty": false
},
{
"type": "coupon",
"source_type": "OrderThresholdCoupon",
"title": null,
"text": "Extra 15% off $35+ with code SPRING15",
"terms": "One use per customer.",
"code": "SPRING15",
"external_id": "coupon-spring15",
"url": null,
"value": 15,
"value_type": "percent",
"min_quantity": null,
"min_amount": 35,
"scope": "all",
"valid_from": null,
"valid_until": "2026-06-30",
"requires_loyalty": false
}
],
"badges": ["new", "vegan"],
"favorites_count": 342,
"network": "network-a",
"store": "store-a.com"
}
],
"total": 4,
"page": 1,
"per_page": 50,
"pages": 1
}
⌘I